Bug 1092452 - CVE-2014-0114 struts: Apache Struts 1: Class Loader manipulation via request parameters [fedora-all]
Summary: CVE-2014-0114 struts: Apache Struts 1: Class Loader manipulation via request ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: struts
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
Depends On:
Blocks: CVE-2014-0114
TreeView+ depends on / blocked
 
Reported: 2014-04-29 11:12 UTC by Arun Babu Neelicattu
Modified: 2015-02-15 21:53 UTC (History)
3 users (show)

Fixed In Version: struts-1.3.10-10.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 02:00:28 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-04-29 11:12:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Arun Babu Neelicattu 2014-04-29 11:13:03 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1091938,1092452

Comment 2 gil cattaneo 2014-04-30 08:36:00 UTC
"Not Vulnerable. This issue only affects struts 2, it does not affect the versions of struts as shipped with various Red Hat products. A similar issue exists in struts 1, identified by CVE-2014-0114."

see https://bugzilla.redhat.com/show_bug.cgi?id=1091939

Comment 3 Arun Babu Neelicattu 2014-04-30 08:44:54 UTC
@gil, this bug is for CVE-2014-0114 and affects Struts 1 as shipped by fedora. Bug 1091939 refers to CVE-2014-0112.

Reopening as this is was closed improperly.

Comment 4 Brandon Vincent 2014-08-12 00:38:06 UTC
The following filter from HP has been validated as an acceptable remediation by the Apache Struts security team for CVE-2014-0114.

http://h30499.www3.hp.com/t5/HP-Security-Research-Blog/Protect-your-Struts1-applications/ba-p/6463188

The Fedora Project packager for Apache Struts 1 has been notified.

Comment 5 Arun Babu Neelicattu 2014-08-12 01:21:50 UTC
@Brandon the link posted in comment 4 is a mitigation in the app. A viable fix for struts1 is available at [1]. This applies directly to 1.3.x, same logic can be used for 1.2.x too.

[1] https://github.com/apache/struts1/pull/1/files

Comment 6 Fedora Update System 2014-08-12 12:53:15 UTC
struts-1.3.10-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/struts-1.3.10-10.fc20

Comment 7 Fedora Update System 2014-08-15 02:48:59 UTC
Package struts-1.3.10-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing struts-1.3.10-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9380/struts-1.3.10-10.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-08-23 02:00:28 UTC
struts-1.3.10-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.